<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>refinement.model.refinements Class Hierarchy</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="refinement.model.refinements Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/handlers/package-tree.html">Prev</a></li>
<li><a href="../../../refinement/model/refinements/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package refinement.model.refinements</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.eclipse.emf.common.notify.Notifier
<ul>
<li type="circle">org.eclipse.emf.ecore.EObject
<ul>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">ComposedRefinements</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsPackage</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Refinement</span></a></li>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Refinements</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsPackage.Literals</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">refinement.model.refinements.<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><span class="typeNameLink">States</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/handlers/package-tree.html">Prev</a></li>
<li><a href="../../../refinement/model/refinements/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
